## zshdb 1.1.2

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = zshdb
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== docs/commands/Makefile ===
# Whatever it is you want to do, it should be handled by the
# by the main (parent) Makefile. So reissue make from there.
.PHONY: html

html:
	$(MAKE) -C .. $@

%: html
	$(MAKE) -C .. $@

=== docs/commands/breakpoints/Makefile ===
# Whatever it is you want to do, it should be handled by the
# by the main (parent) Makefile. So reissue make from there.
.PHONY: html

html:
	$(MAKE) -C ../.. $@

%: html
	$(MAKE) -C ../.. $@

## zshdb 0.04+git20100102

=== debian/changelog ===
zshdb (0.04+git20100102-1) unstable; urgency=low

  [ Loïc Minier ]
  * Add procps build-dep to allow the testsuite to call "ps" in
    test/zsh/ok4zshdb.sh:get_processor().
  * Only run testsuite if /dev/tty exists and nocheck isn't in
    DEB_BUILD_OPTIONS; closes: #560665.
  * Split make check in its own check target.
  * Revise tty check to use "tty" instead of just checking for the presence of
    /dev/tty.
  * Clean debian/files.
  * Clean doc/zshdb.1 and test/lopts.check which are not cleaned up by the
    upstream build.

  [ Clint Adams ]
  * New upstream snapshot.
  * Bump to Standards-Version 3.8.4.
  * Switch to 3.0 (quilt) source format.
  * Run testsuite with LC_ALL=C.

 -- Clint Adams <schizo@debian.org>  Fri, 12 Feb 2010 18:26:27 -0500

zshdb (0.03+git20090920-1) unstable; urgency=low

  * New upstream snapshot.

 -- Clint Adams <schizo@debian.org>  Sun, 20 Sep 2009 23:40:25 -0400

zshdb (0.03+git20090704-2) unstable; urgency=low

  * Patch from Hilko Bergen to fix emacs extension byte-compiling.
    closes: #502175.
  * Bump to Standards-Version 3.8.3.

 -- Clint Adams <schizo@debian.org>  Thu, 10 Sep 2009 23:39:39 -0400

zshdb (0.03+git20090704-1) unstable; urgency=low

  * Change build dependency from emacs22 to emacs23.

 -- Clint Adams <schizo@debian.org>  Sat, 08 Aug 2009 16:03:16 -0400

zshdb (0.03+git20090619-1) unstable; urgency=low

  * New upstream snapshot.
  * Bump to Standards-Version 3.8.2.

 -- Clint Adams <schizo@debian.org>  Sun, 21 Jun 2009 12:06:35 -0400

zshdb (0.02+git20081212-1) unstable; urgency=low

  * New upstream snapshot.
  * Use zsh (>= 4.3.9) instead of zsh-beta.

 -- Clint Adams <schizo@debian.org>  Thu, 08 Jan 2009 22:15:46 -0500

zshdb (0.01git+20081030-1) unstable; urgency=low

  * New upstream snapshot.

 -- Clint Adams <schizo@debian.org>  Sat, 01 Nov 2008 13:06:00 -0400

zshdb (0.01git+20081021-1) unstable; urgency=low

  * New upstream snapshot; requires 4.3.6-dev-2 so alter the dependencies
    accordingly.

 -- Clint Adams <schizo@debian.org>  Wed, 22 Oct 2008 17:10:58 -0400

zshdb (0.01git+20081010-1) unstable; urgency=low

  * New upstream snapshot.

 -- Clint Adams <schizo@debian.org>  Sun, 12 Oct 2008 16:06:57 -0400

zshdb (0.01git+20081002-1) unstable; urgency=low

  * New upstream snapshot.

 -- Clint Adams <schizo@debian.org>  Thu, 02 Oct 2008 13:48:02 -0400

zshdb (0.01git+20081001-1) unstable; urgency=low

  * New upstream snapshot.
  * Switch section to 'devel' to match bashdb and pydb.

 -- Clint Adams <schizo@debian.org>  Thu, 02 Oct 2008 02:26:56 -0400

zshdb (0.01git+20080927-2) unstable; urgency=low

  * Add emacs-support for zshdb.el.
  * Add build dependency on emacs22 so .el can be tested.

 -- Clint Adams <schizo@debian.org>  Sat, 27 Sep 2008 14:14:23 -0400

zshdb (0.01git+20080927-1) unstable; urgency=low

  * Initial release.

 -- Clint Adams <schizo@debian.org>  Fri, 26 Sep 2008 15:37:25 -0400

=== debian/control ===
Source: zshdb
Section: devel
Priority: extra
Maintainer: Clint Adams <schizo@debian.org>
Build-Depends: zsh (>= 4.3.9), emacs23, procps
Standards-Version: 3.8.4
Vcs-Git: git://git.debian.org/git/private/schizo/zshdb.git
Vcs-Browser: http://git.debian.org/?p=private/schizo/zshdb.git

Package: zshdb
Architecture: all
Depends: zsh (>= 4.3.9), emacsen-common
Description: debugger for Z-Shell scripts
 This debugger for Z-shell scripts has a similar command interface as gdb.

=== debian/rules ===
#!/usr/bin/make -f
INSTALL = install
INSTALL_FILE    = $(INSTALL) -p    -o root -g root  -m  644
INSTALL_PROGRAM = $(INSTALL) -p    -o root -g root  -m  755
INSTALL_SCRIPT  = $(INSTALL) -p    -o root -g root  -m  755
INSTALL_DIR     = $(INSTALL) -p -d -o root -g root  -m  755

package=zshdb

configure: configure-stamp
configure-stamp:
	$(checkdir)
#	mkdir obj
#	cd obj && ../configure --prefix=/usr --with-zsh=/bin/zsh-beta
	chmod 755 ./configure
	./configure --prefix=/usr --with-zsh=/bin/zsh --disable-maintainer-mode --with-lispdir=/usr/share/emacs/site-lisp/zshdb

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	$(checkdir)

	# Add here commands to compile the package.
#	cd obj && $(MAKE)
#	cd obj && $(MAKE) check
	$(MAKE)

	touch $@

check: build
	if tty >/dev/null 2>&1; then LC_ALL=C $(MAKE) check; else echo "*** NOT RUNNING TESTSUITE WITHOUT A TTY ***" >&2; fi

maybe_check = $(if $(findstring nocheck,$(DEB_BUILD_OPTIONS)),,check)

clean: checkroot
	test ! -f Makefile || $(MAKE) distclean
	rm -rf obj autom4te.cache
	rm -f build-stamp configure-stamp config.status config.log

	rm -f debian/zshdb.substvars *~ *-stamp
	rm -rf debian/zshdb/
	rm -f debian/files
	rm -f doc/zshdb.1 test/lopts.check

install: build checkroot
	rm -rf debian/zshdb
	$(INSTALL_DIR) debian/zshdb/usr/bin

#	cd obj && $(MAKE) DESTDIR=$(CURDIR)/debian/zshdb install
	$(MAKE) DESTDIR=$(CURDIR)/debian/zshdb install

binary-indep: build $(maybe_check) install checkroot
	rm -f debian/zshdb/usr/share/emacs/site-lisp/zshdb/zshdb.elc
	$(INSTALL_DIR) debian/zshdb/usr/share/doc/zshdb
	$(INSTALL_FILE) debian/changelog debian/zshdb/usr/share/doc/zshdb/changelog.Debian
	$(INSTALL_FILE) ChangeLog debian/zshdb/usr/share/doc/zshdb/changelog
	$(INSTALL_FILE) README debian/copyright debian/zshdb/usr/share/doc/zshdb/
	gzip -9fv debian/zshdb/usr/share/doc/zshdb/changelog.Debian \
		  debian/zshdb/usr/share/doc/zshdb/changelog \
		  debian/zshdb/usr/share/doc/zshdb/README \
		  debian/zshdb/usr/share/man/man1/zshdb.1

	$(INSTALL_DIR) debian/zshdb/usr/lib/emacsen-common/packages/install \
		       debian/zshdb/usr/lib/emacsen-common/packages/remove \
		       debian/zshdb/etc/emacs/site-start.d
	$(INSTALL_SCRIPT) debian/emacsen-install debian/zshdb/usr/lib/emacsen-common/packages/install/zshdb
	$(INSTALL_SCRIPT) debian/emacsen-remove debian/zshdb/usr/lib/emacsen-common/packages/remove/zshdb
	$(INSTALL_FILE) debian/emacsen-startup debian/zshdb/etc/emacs/site-start.d/50zshdb.el

	$(INSTALL_DIR) debian/zshdb/DEBIAN
	dpkg-gencontrol -ldebian/changelog -Tdebian/zshdb.substvars -Pdebian/zshdb
	$(INSTALL_SCRIPT) debian/zshdb.postinst debian/zshdb/DEBIAN/postinst
	$(INSTALL_SCRIPT) debian/zshdb.prerm debian/zshdb/DEBIAN/prerm
	$(INSTALL_FILE) debian/zshdb.conffiles debian/zshdb/DEBIAN/conffiles

	cd debian/zshdb && find . -type f ! -path etc/emacs/site-start.d/50zshdb.el ! -regex '.*/DEBIAN/.*' -printf '%P\0' | xargs -r0 md5sum > DEBIAN/md5sums

	chown -R root:root debian/zshdb
	chmod -R u=rwX,go=rX debian/zshdb

	dpkg-deb --build debian/zshdb ..

binary: binary-indep

prebuild:
	autoreconf -fiv

define checkdir
	test -f debian/rules
endef

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: build check clean binary-indep binary-arch binary install configure prebuild

## zshdb 0.05+git20101031

=== debian/changelog ===
zshdb (0.05+git20101031-4) unstable; urgency=medium

  * QA upload.
  * Added watch file - thanks bartm!
  * debian/rules:
    - Applied patch to fix reproducibility (Closes: #777400)

 -- Iain R. Learmonth <irl@debian.org>  Sun, 16 Aug 2015 17:31:41 +0100

zshdb (0.05+git20101031-3) unstable; urgency=medium

  * QA upload
  * change build-dependency on emacs23 to emacs24 (closes: #754031)

 -- Ralf Treinen <treinen@debian.org>  Wed, 10 Sep 2014 22:25:53 +0200

zshdb (0.05+git20101031-2) unstable; urgency=low

  * QA upload.
  * Remove emacs-addon installation, since the emacs mode is no longer
    distributed by upstream. Thanks to Clint Adams for his advice.
    Remove debian/zshdb.{conffiles,prerm,postinst} since now useless.
    (closes: #603473).
  * Added debian/NEWS about emacs-addon support disappearing.

 -- Ralf Treinen <treinen@debian.org>  Sat, 27 Nov 2010 15:41:53 +0100

zshdb (0.05+git20101031-1) unstable; urgency=low

  * New upstream snapshot.
  * Bump to Standards-Version 3.9.1.
  * Orphan the package.

 -- Clint Adams <clint@zsh.org>  Sun, 14 Nov 2010 00:21:05 -0500

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: zshdb
 Section: devel
 Priority: extra
-Maintainer: Clint Adams <schizo@debian.org>
-Build-Depends: zsh (>= 4.3.9), emacs23, procps
-Standards-Version: 3.8.4
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: zsh (>= 4.3.9), emacs24, procps
+Standards-Version: 3.9.1
 Vcs-Git: git://git.debian.org/git/private/schizo/zshdb.git
 Vcs-Browser: http://git.debian.org/?p=private/schizo/zshdb.git

=== debian/rules ===
#!/usr/bin/make -f
INSTALL = install
INSTALL_FILE    = $(INSTALL) -p    -o root -g root  -m  644
INSTALL_PROGRAM = $(INSTALL) -p    -o root -g root  -m  755
INSTALL_SCRIPT  = $(INSTALL) -p    -o root -g root  -m  755
INSTALL_DIR     = $(INSTALL) -p -d -o root -g root  -m  755

package=zshdb

configure: configure-stamp
configure-stamp:
	$(checkdir)
	chmod 755 ./configure
	./configure --prefix=/usr --with-zsh=/bin/zsh --disable-maintainer-mode

build: build-stamp

build-stamp: configure-stamp  
	$(checkdir)
	$(MAKE)
	touch $@

check: build
	if tty >/dev/null 2>&1; then LC_ALL=C $(MAKE) check; else echo "*** NOT RUNNING TESTSUITE WITHOUT A TTY ***" >&2; fi

maybe_check = $(if $(findstring nocheck,$(DEB_BUILD_OPTIONS)),,check)

clean: checkroot
	test ! -f Makefile || $(MAKE) distclean
	rm -rf obj autom4te.cache
	rm -f build-stamp configure-stamp config.status config.log

	rm -f debian/zshdb.substvars *~ *-stamp
	rm -rf debian/zshdb/
	rm -f debian/files
	rm -f doc/zshdb.1 test/lopts.check

install: build checkroot
	rm -rf debian/zshdb
	$(INSTALL_DIR) debian/zshdb/usr/bin

#	cd obj && $(MAKE) DESTDIR=$(CURDIR)/debian/zshdb install
	$(MAKE) DESTDIR=$(CURDIR)/debian/zshdb install

binary-indep: build $(maybe_check) install checkroot
	$(INSTALL_DIR) debian/zshdb/usr/share/doc/zshdb
	$(INSTALL_FILE) debian/changelog debian/zshdb/usr/share/doc/zshdb/changelog.Debian
	$(INSTALL_FILE) ChangeLog debian/zshdb/usr/share/doc/zshdb/changelog
	$(INSTALL_FILE) README debian/copyright debian/zshdb/usr/share/doc/zshdb/
	$(INSTALL_FILE) debian/NEWS.Debian debian/zshdb/usr/share/doc/zshdb/

	gzip -9nfv debian/zshdb/usr/share/doc/zshdb/changelog.Debian \
		  debian/zshdb/usr/share/doc/zshdb/changelog \
		  debian/zshdb/usr/share/doc/zshdb/README \
		  debian/zshdb/usr/share/doc/zshdb/NEWS.Debian \
		  debian/zshdb/usr/share/man/man1/zshdb.1

	$(INSTALL_DIR) debian/zshdb/DEBIAN
	dpkg-gencontrol -ldebian/changelog -Tdebian/zshdb.substvars -Pdebian/zshdb
	chown -R root:root debian/zshdb
	chmod -R u=rwX,go=rX debian/zshdb

	dpkg-deb --build debian/zshdb ..

binary: binary-indep

prebuild:
	autoreconf -fiv

define checkdir
	test -f debian/rules
endef

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: build check clean binary-indep binary-arch binary install configure prebuild

=== debian/watch ===
version=3
opts=dversionmangle=s/\+git20\d{6}$//;s/\+git\d+\S*//;s/\+git[a-f\d]+$// \
https://github.com/rocky/zshdb/releases \
.*[^n]/(?:|v|version-|release-|r|REL_|rel-|zshdb(?:_|-))(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## zshdb 0.09%2Bgit20150123

=== debian/control ===
Source: zshdb
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: devel
Priority: extra
Build-Depends: debhelper (>= 9),
               dh-python,
               autoconf,
               automake,
               zsh,
               emacs24,
               procps,
               python-all
Standards-Version: 3.9.6
Homepage: https://github.com/rocky/zshdb/

Package: zshdb
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         zsh,
         emacsen-common
Description: debugger for Z-Shell scripts
 A zsh script to which arranges for another zsh script to be debugged. zshdb is
 a port of bashdb, a similar debugger for bash scripts, to zsh. The command
 syntax generally follows that of the trepanning debuggers and, more generally,
 GNU debugger gdb.

## zshdb 0.09+git20150123

=== debian/changelog ===
zshdb (0.09+git20150123-1) unstable; urgency=medium

  * QA upload.
  * Updated to latest upstream. (Closes: #796472)
  * Removed redundant patch:
    - debian/patches/debian-changes-0.05+git20101031-1
  * debian/rules:
    - Temporarily adding DEB_BUILD_OPTIONS=nocheck as the zsh currently
      in unstable is broken.
  * debian/control:
    - Removed Vcs-* fields referencing non-existent repository.
    - Added dh-python and python-all to Build-Depends as Python scripts are
      now included in zshdb.
    - Added ${python:Depends} to the binary dependencies.
    - Added ${misc:Depends} to the binary dependencies.
    - Added a link to the Homepage.
  * debian/zshdb.lintian-overrides:
    - Added an override for extra-license-file as this file contains a copy of
      the GNU GPL version 2 to allow it to be produced interactively from
      within the application.
  * debian/copyright:
    - Converted to DEP-5.

 -- Iain R. Learmonth <irl@debian.org>  Fri, 28 Aug 2015 22:17:39 +0100

=== debian/rules ===
#!/usr/bin/make -f

# This is added temporarily as the zsh currently in unstable is broken causing
# the tests to fail. The tests pass on 5.0.7 but not on 5.0.8.
export DEB_BUILD_OPTIONS=nocheck

%:
	dh $@ --with python2

override_dh_auto_configure:
	./autogen.sh
	dh_auto_configure

## zshdb 0.91

=== debian/changelog ===
zshdb (0.91-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
   - Maintainer changed to myself. (Closes: #655264)
   - Added Vcs-* fields for Git repository (collab-maint).
   - Standards version bumped to 3.9.8.
  * debian/copyright:
   - Use https:// URL for Format field.
   - Update source URL for new upstream release.
  * debian/rules:
   - Re-enable tests.
   - Force the zsh path to /bin/zsh.

 -- Iain R. Learmonth <irl@debian.org>  Tue, 05 Jul 2016 10:44:40 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: zshdb
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Iain R. Learmonth <irl@debian.org>
 Section: devel
 Priority: extra
 Build-Depends: debhelper (>= 9),
@@ -10,7 +10,9 @@
                emacs24,
                procps,
                python-all
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/zshdb.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/zshdb.git
 Homepage: https://github.com/rocky/zshdb/
 
 Package: zshdb

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_auto_configure:
	./autogen.sh
	dh_auto_configure -- --with-zsh=/bin/zsh

override_dh_auto_test:
	# The tests make use of things like the history file, they need a dummy
	# home directory.
	mkdir test_homedir
	HOME=$(shell pwd)/test_homedir dh_auto_test
	rm -rf test_homedir

## zshdb 0.92

=== debian/changelog ===
zshdb (0.92-3) unstable; urgency=medium

  * Migrated build to emacs25. (Closes: #846992)

 -- Iain R. Learmonth <irl@debian.org>  Mon, 05 Dec 2016 09:07:37 +0000

zshdb (0.92-2) unstable; urgency=medium

  * Force locale to C for the test suite. (Closes: #841342)

 -- Iain R. Learmonth <irl@debian.org>  Thu, 27 Oct 2016 03:36:49 +0100

zshdb (0.92-1) unstable; urgency=medium

  * Imported Upstream version 0.92.

 -- Iain R. Learmonth <irl@debian.org>  Sat, 09 Jul 2016 15:10:06 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                autoconf,
                automake,
                zsh,
-               emacs24,
+               emacs25,
                procps,
                python-all
 Standards-Version: 3.9.8

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,8 @@
 override_dh_auto_test:
 	# The tests make use of things like the history file, they need a dummy
 	# home directory.
+        # shunit also has issues with locales that aren't English, this is an
+        # issue that only affects the test suite, not zshdb itself. (#841342)
 	mkdir test_homedir
-	HOME=$(shell pwd)/test_homedir dh_auto_test
+	LC_ALL=C HOME=$(shell pwd)/test_homedir dh_auto_test
 	rm -rf test_homedir

## zshdb 1.1.2

=== debian/changelog ===
zshdb (1.1.2-1) unstable; urgency=medium

  * New upstream version 1.1.2
   - Includes fix for FTBFS issue (Closes: #848739)
  * Remove versioned dependency for Emacs (Closes: #951020)
  * Now uses Python 3, not Python 2 (Closes: #943299)

 -- Iain R. Learmonth <irl@debian.org>  Sun, 23 Feb 2020 12:07:23 +0000

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
                autoconf,
                automake,
                zsh,
-               emacs25,
+               emacs,
                procps,
-               python-all
+               python3-all
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/zshdb.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/zshdb.git
@@ -18,7 +18,7 @@
 Package: zshdb
 Architecture: all
 Depends: ${misc:Depends},
-         ${python:Depends},
+         ${python3:Depends},
          zsh,
          emacsen-common
 Description: debugger for Z-Shell scripts

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --with python2
+	dh $@ --with python3
 
 override_dh_auto_configure:
 	./autogen.sh
